%{!?kernel: %{expand: %%define kernel %(uname -r)}}
%define kversion %(echo %{kernel} | sed -e s/smp// -)

%define kernel_ver_str %(echo %{kversion} | tr -s '-' '_')

%define kmajor %(echo %{kversion} | cut -d'-' -f1)
%define kminor %(echo %{kversion} | cut -d'-' -f2)
%define arch i686
#define kconfig  /usr/src/linux-%(echo %{kernel})/configs/kernel-%{kmajor}-i686%{?ksmp}.config

%define mname orinoco
%define mversion 0.15
%define mprerelease rc2
%define mrelease 1.rc2.PU_IAS.2
%define minstalldir updates/drivers/net/wireless

%define buildsmp 1
%define buildhugemem 1

%ifnarch i686 x86_64 athlon
%define buildsmp 0
%endif

Name: %{mname}
Version: %{mversion}
Release: %{mrelease}
License: GPL
ExclusiveArch: i686 x86_64
Source: %{name}-%{version}%{mprerelease}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Group: System Environment
Summary: Newer versions of orinoco drivers for various prism based wireless cards

%description
Newer versions of orinoco drivers for various prism based wireless cards

%package -n kernel-%{name}
Release: %{mrelease}_%{kernel_ver_str}
License: Other
Summary: Newer versions of orinoco drivers for various prism based wireless cards
Group: System Environment
Requires: kernel = %{kversion}, %{mname}
Provides: kernel-module kernel-modules
BuildRequires: kernel-devel, sharutils

%description -n kernel-%{name}
Newer versions of orinoco drivers for various prism based wireless cards

%if %{buildsmp}
%package -n kernel-smp-%{name}
Release: %{mrelease}_%{kernel_ver_str}
License: Other
Summary: Newer versions of orinoco drivers for various prism based wireless cards
Group: System Environment
Requires: kernel-smp = %{kversion}, %{mname}
Provides: kernel-module kernel-modules
BuildRequires: kernel-smp-devel, sharutils

%description -n kernel-smp-%{name}
Newer versions of orinoco drivers for various prism based wireless cards

%endif

%if %{buildhugemem}
%package -n kernel-hugemem-%{name}
Release: %{mrelease}_%{kernel_ver_str}
License: Other
Summary: Newer versions of orinoco drivers for various prism based wireless cards
Group: System Environment
Requires: kernel-hugemem = %{kversion}, %{mname}
Provides: kernel-module kernel-modules
BuildRequires: kernel-hugemem-devel, sharutils

%description -n kernel-hugemem-%{name}
Newer versions of orinoco drivers for various prism based wireless cards

%endif


%prep
%setup -q -n %{name}-%{version}%{mprerelease}
perl -pi -e 's|install -m 644 -o 0 -g 0|install -m 644 |' Makefile

%build
make KERNEL_SRC=/usr/src/kernels/%{kversion}-%{arch} clean
make KERNEL_SRC=/usr/src/kernels/%{kversion}-%{arch}
mkdir done-up
make install KERNEL_SRC=/usr/src/kernels/%{kversion}-%{arch} MODULE_DIR_WIRELESS=done-up CONF_DIR=done-up DEPMOD=/bin/echo
%if %{buildsmp}
make KERNEL_SRC=/usr/src/kernels/%{kversion}-smp-%{arch} clean
make KERNEL_SRC=/usr/src/kernels/%{kversion}-smp-%{arch}
mkdir done-smp
make install KERNEL_SRC=/usr/src/kernels/%{kversion}-smp-%{arch} MODULE_DIR_WIRELESS=done-smp CONF_DIR=done-up DEPMOD=/bin/echo
%endif
%if %{buildhugemem}
make KERNEL_SRC=/usr/src/kernels/%{kversion}-hugemem-%{arch} clean
make KERNEL_SRC=/usr/src/kernels/%{kversion}-hugemem-%{arch}
mkdir done-hugemem
make install KERNEL_SRC=/usr/src/kernels/%{kversion}-hugemem-%{arch} MODULE_DIR_WIRELESS=done-hugemem CONF_DIR=done-up DEPMOD=/bin/echo
%endif

%install
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}/%{minstalldir}
install -m 644 done-up/*.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}/%{minstalldir}
%if %{buildsmp}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}smp/%{minstalldir}
install -m 644 done-smp/*.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}smp/%{minstalldir}
%endif
%if %{buildhugemem}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}hugemem/%{minstalldir}
install -m 644 done-hugemem/*.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}hugemem/%{minstalldir}
%endif
mkdir -p $RPM_BUILD_ROOT/etc/pcmcia
install -m 644 done-up/hermes.conf $RPM_BUILD_ROOT/etc/pcmcia

%post -n kernel-%{name}
/sbin/depmod %{kversion}

%if %{buildsmp}
%post -n kernel-smp-%{name}
/sbin/depmod %{kversion}smp
%endif

%if %{buildhugemem}
%post -n kernel-hugemem-%{name}
/sbin/depmod %{kversion}hugemem
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.orinoco
/etc/pcmcia/hermes.conf

%files -n kernel-%{name}
%defattr(-,root,root)
/lib/modules/%{kversion}/%{minstalldir}/*

%if %{buildsmp}
%files -n kernel-smp-%{name}
%defattr(-,root,root)
/lib/modules/%{kversion}smp/%{minstalldir}/*
%endif

%if %{buildhugemem}
%files -n kernel-hugemem-%{name}
%defattr(-,root,root)
/lib/modules/%{kversion}hugemem/%{minstalldir}/*
%endif

%changelog
* Mon Feb 28 2005 Josko Plazonic <plazonic@math.princeton.edu>
- first build
